/*
 * Class SED_VERSIONS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_49 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_49 [] = {0xFF01,1551,48,0xFFFF};
static const EIF_TYPE_INDEX egt_2_49 [] = {0xFF01,48,0xFFFF};
static const EIF_TYPE_INDEX egt_3_49 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_49 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_49 [] = {0xFF01,48,0xFFFF};
static const EIF_TYPE_INDEX egt_6_49 [] = {0xFF01,48,0xFFFF};
static const EIF_TYPE_INDEX egt_7_49 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_49 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_49 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_49 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_49 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_49 [] = {0xFF01,48,0xFFFF};


static const struct desc_info desc_49[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_49), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_49), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_49), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_49), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_49), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_49), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_49), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_49), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_49), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_49), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_49), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_49), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x61 /*48*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_49), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 706, 0xFFFFFFFF},
};
void Init49(void)
{
	IDSC(desc_49, 0, 48);
	IDSC(desc_49 + 1, 1, 48);
	IDSC(desc_49 + 32, 1238, 48);
}


#ifdef __cplusplus
}
#endif
